<form [formGroup]="form" (ngSubmit)="onSubmit()">
	<lib-input-field [control]="form.controls.name" label="transl.simple.name" required="true" tabIndex="1"></lib-input-field>
	<mat-form-field appearance="outline">
		<mat-label>{{ 'transl.simple.currency' }} *</mat-label>
		<mat-select tabindex="2" formControlName="currency">
			<mat-option *ngFor="let currency of currenciesSubject | async" [value]="currency">{{
				'transl.currency.' + currency | translate
			}}</mat-option>
		</mat-select>
		<mat-error>{{ 'transl.error.form.' + Object.keys(this.form.controls.currency.errors || {})[0] | translate }}</mat-error>
	</mat-form-field>
	<button class="fab" tabIndex="2" mat-fab color="accent" [disabled]="loading || form.invalid">
		<mat-icon>save</mat-icon>
	</button>
</form>
